For the complete documentation index, see llms.txt. This page is also available as Markdown.

List user change requests

Retrieve all pending user change requests for attributes configured with admin approval.

Endpoint

GET https://api.signitic.app/user-change-requests

Headers

Name
Type
Description

x-api-key*

String

Your API key

Success response

200 OK

{
  "success": true,
  "code": 200,
  "data": [
    {
      "email": "john.doe@example.com",
      "display_name": "John Doe",
      "change_requests": [
        {
          "field": "phone",
          "old_value": "0102030405",
          "new_value": "0607080910",
          "status": "pending"
        },
        {
          "field": "title",
          "old_value": "Sales",
          "new_value": "Head of Sales",
          "status": "pending"
        }
      ]
    }
  ]
}

Error responses

Status
Internal code
When

401

99

The API key is missing or invalid.

Last updated